diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotatedType.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotatedType.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotatedType.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotatedType.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -41,7 +41,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface AnnotatedType extends Type {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationDesc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationDesc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationDesc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationDesc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -38,7 +38,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface AnnotationDesc {
 
     /**
@@ -77,7 +78,7 @@
      *   in the package {@code jdk.javadoc.doclet}.
      *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
      */
-    @Deprecated
+    @Deprecated(forRemoval=true, since="9")
     public interface ElementValuePair {
 
         /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2004, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -37,7 +37,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface AnnotationTypeDoc extends ClassDoc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeElementDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeElementDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeElementDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationTypeElementDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2004, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -37,7 +37,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface AnnotationTypeElementDoc extends MethodDoc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationValue.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationValue.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationValue.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/AnnotationValue.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -37,7 +37,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface AnnotationValue {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/ClassDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/ClassDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/ClassDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/ClassDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -46,7 +46,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface ClassDoc extends ProgramElementDoc, Type {
 
     /**
@@ -341,7 +342,7 @@
      *          should not be exposed here.  In addition, not all imported
      *          classes are imported through single-type-import declarations.
      */
-    @Deprecated
+    @Deprecated(forRemoval=true, since="9")
     ClassDoc[] importedClasses();
 
     /**
@@ -356,6 +357,6 @@
      *          return type does not allow for all type-import-on-demand
      *          declarations to be returned.
      */
-    @Deprecated
+    @Deprecated(forRemoval=true, since="9")
     PackageDoc[] importedPackages();
 }
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/ConstructorDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/ConstructorDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/ConstructorDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/ConstructorDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2006, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -36,6 +36,7 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface ConstructorDoc extends ExecutableMemberDoc {
 }
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/Doc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/Doc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/Doc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/Doc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -43,7 +43,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface Doc extends Comparable<Object> {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/DocErrorReporter.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/DocErrorReporter.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/DocErrorReporter.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/DocErrorReporter.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2006, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -36,7 +36,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface DocErrorReporter {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/Doclet.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/Doclet.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/Doclet.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/Doclet.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -53,7 +53,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public abstract class Doclet {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/ExecutableMemberDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/ExecutableMemberDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/ExecutableMemberDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/ExecutableMemberDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -36,7 +36,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface ExecutableMemberDoc extends MemberDoc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/FieldDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/FieldDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/FieldDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/FieldDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -38,7 +38,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface FieldDoc extends MemberDoc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/LanguageVersion.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/LanguageVersion.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/LanguageVersion.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/LanguageVersion.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -42,7 +42,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public enum LanguageVersion {
 
     /** 1.1 added nested classes and interfaces. */
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/MemberDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/MemberDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/MemberDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/MemberDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -43,7 +43,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface MemberDoc extends ProgramElementDoc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/MethodDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/MethodDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/MethodDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/MethodDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -36,7 +36,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface MethodDoc extends ExecutableMemberDoc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/PackageDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/PackageDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/PackageDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/PackageDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -42,7 +42,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface PackageDoc extends Doc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/ParamTag.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/ParamTag.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/ParamTag.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/ParamTag.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -38,7 +38,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface ParamTag extends Tag {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/Parameter.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/Parameter.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/Parameter.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/Parameter.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -36,7 +36,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface Parameter {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/ParameterizedType.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/ParameterizedType.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/ParameterizedType.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/ParameterizedType.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -48,7 +48,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface ParameterizedType extends Type {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/ProgramElementDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/ProgramElementDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/ProgramElementDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/ProgramElementDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -41,7 +41,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface ProgramElementDoc extends Doc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/RootDoc.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/RootDoc.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/RootDoc.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/RootDoc.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -40,7 +40,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface RootDoc extends Doc, DocErrorReporter {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/SeeTag.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/SeeTag.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/SeeTag.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/SeeTag.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -46,7 +46,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface SeeTag extends Tag {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/SerialFieldTag.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/SerialFieldTag.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/SerialFieldTag.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/SerialFieldTag.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -48,7 +48,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface SerialFieldTag extends Tag, Comparable<Object> {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/SourcePosition.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/SourcePosition.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/SourcePosition.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/SourcePosition.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2001, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -39,7 +39,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface SourcePosition {
     /** The source file. Returns null if no file information is
      *  available.
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/Tag.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/Tag.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/Tag.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/Tag.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -49,7 +49,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface Tag {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/ThrowsTag.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/ThrowsTag.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/ThrowsTag.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/ThrowsTag.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -39,7 +39,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface ThrowsTag extends Tag {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/Type.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/Type.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/Type.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/Type.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -41,7 +41,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface Type {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/TypeVariable.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/TypeVariable.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/TypeVariable.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/TypeVariable.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -41,7 +41,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface TypeVariable extends Type {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/javadoc/WildcardType.java b/src/jdk.javadoc/share/classes/com/sun/javadoc/WildcardType.java
--- a/src/jdk.javadoc/share/classes/com/sun/javadoc/WildcardType.java
+++ b/src/jdk.javadoc/share/classes/com/sun/javadoc/WildcardType.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -44,7 +44,8 @@
  *   in the package {@code jdk.javadoc.doclet}.
  *   For more information, see the <i>Migration Guide</i> in the documentation for that package.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public interface WildcardType extends Type {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/doclets/standard/Standard.java b/src/jdk.javadoc/share/classes/com/sun/tools/doclets/standard/Standard.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/doclets/standard/Standard.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/doclets/standard/Standard.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2017, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -36,7 +36,8 @@
  * {@link jdk.javadoc.doclet.StandardDoclet}.
  */
 @Deprecated(forRemoval=true, since="9")
-@SuppressWarnings("deprecation")
+@SuppressWarnings("removal")
+
 public class Standard {
 
     public static boolean start(RootDoc root) {
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/Main.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/Main.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/Main.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/Main.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000, 2016, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2000, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -48,7 +48,8 @@
  *
  * @since 1.4
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class Main {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AbstractTypeImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AbstractTypeImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AbstractTypeImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AbstractTypeImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -43,7 +43,8 @@
  * @author Scott Seligman
  * @since 1.5
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 abstract class AbstractTypeImpl implements com.sun.javadoc.Type {
 
     protected final DocEnv env;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotatedTypeImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotatedTypeImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotatedTypeImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotatedTypeImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -37,7 +37,8 @@
  * @author Mahmood Ali
  * @since 1.8
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class AnnotatedTypeImpl
         extends AbstractTypeImpl implements AnnotatedType {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationDescImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationDescImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationDescImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationDescImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -48,7 +48,8 @@
  * @since 1.5
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class AnnotationDescImpl implements AnnotationDesc {
 
     private final DocEnv env;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -48,7 +48,8 @@
  * @since 1.5
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class AnnotationTypeDocImpl
         extends ClassDocImpl implements AnnotationTypeDoc {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeElementDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeElementDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeElementDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationTypeElementDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -42,7 +42,8 @@
  * @since 1.5
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class AnnotationTypeElementDocImpl
         extends MethodDocImpl implements AnnotationTypeElementDoc {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationValueImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationValueImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationValueImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/AnnotationValueImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -43,7 +43,8 @@
  * @since 1.5
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class AnnotationValueImpl implements AnnotationValue {
 
     private final DocEnv env;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ClassDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ClassDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ClassDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ClassDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2015, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -86,7 +86,8 @@
  * @author Scott Seligman (generics, enums, annotations)
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class ClassDocImpl extends ProgramElementDocImpl implements ClassDoc {
 
     public final ClassType type;        // protected->public for debugging
@@ -1091,7 +1092,7 @@
      *          should not be exposed here.  In addition, not all imported
      *          classes are imported through single-type-import declarations.
      */
-    @Deprecated
+    @Deprecated(forRemoval=true, since="9")
     public ClassDoc[] importedClasses() {
         // information is not available for binary classfiles
         if (tsym.sourcefile == null) return new ClassDoc[0];
@@ -1129,7 +1130,7 @@
      *          return type does not allow for all type-import-on-demand
      *          declarations to be returned.
      */
-    @Deprecated
+    @Deprecated(forRemoval=true, since="9")
     public PackageDoc[] importedPackages() {
         // information is not available for binary classfiles
         if (tsym.sourcefile == null) return new PackageDoc[0];
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Comment.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Comment.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Comment.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Comment.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -45,7 +45,8 @@
  * @author Atul M Dambalkar
  * @author Neal Gafter (rewrite)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class Comment {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ConstructorDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ConstructorDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ConstructorDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ConstructorDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -44,7 +44,8 @@
  * @author Neal Gafter (rewrite)
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class ConstructorDocImpl
         extends ExecutableMemberDocImpl implements ConstructorDoc {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocEnv.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocEnv.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocEnv.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocEnv.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000, 2016, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2000, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -72,7 +72,8 @@
  * @author Neal Gafter (rewrite)
  * @author Scott Seligman (generics)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class DocEnv {
     protected static final Context.Key<DocEnv> docEnvKey = new Context.Key<>();
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -56,7 +56,8 @@
  * @author Atul M Dambalkar
  * @author Neal Gafter (rewrite)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public abstract class DocImpl implements Doc, Comparable<Object> {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocLocale.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocLocale.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocLocale.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocLocale.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2000, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -40,7 +40,8 @@
  * @since 1.4
  * @author Robert Field
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class DocLocale {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocletInvoker.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocletInvoker.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocletInvoker.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocletInvoker.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2016, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -55,7 +55,8 @@
  *
  * @author Neal Gafter (rewrite)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class DocletInvoker {
 
     private final Class<?> docletClass;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ExecutableMemberDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ExecutableMemberDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ExecutableMemberDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ExecutableMemberDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -51,7 +51,8 @@
  * @author Scott Seligman (generics, annotations)
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public abstract class ExecutableMemberDocImpl
         extends MemberDocImpl implements ExecutableMemberDoc {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/FieldDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/FieldDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/FieldDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/FieldDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -51,7 +51,8 @@
  * @author Neal Gafter (rewrite)
  * @author Scott Seligman (generics, enums, annotations)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class FieldDocImpl extends MemberDocImpl implements FieldDoc {
 
     protected final VarSymbol sym;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavaScriptScanner.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavaScriptScanner.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavaScriptScanner.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavaScriptScanner.java
@@ -39,7 +39,8 @@
 /**
  * Parser to detect use of JavaScript in documentation comments.
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class JavaScriptScanner {
     public static interface Reporter {
         void report();
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocClassFinder.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocClassFinder.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocClassFinder.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocClassFinder.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2001, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -42,7 +42,8 @@
  *
  *  @author Neal Gafter
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class JavadocClassFinder extends ClassFinder {
 
     public static JavadocClassFinder instance(Context context) {
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocEnter.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocEnter.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocEnter.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocEnter.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2001, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -49,7 +49,8 @@
  *
  *  @author Neal Gafter
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class JavadocEnter extends Enter {
     public static JavadocEnter instance(Context context) {
         Enter instance = context.get(enterKey);
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocMemberEnter.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocMemberEnter.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocMemberEnter.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocMemberEnter.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -47,7 +47,8 @@
  *
  *  @author Neal Gafter
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class JavadocMemberEnter extends MemberEnter {
     public static JavadocMemberEnter instance0(Context context) {
         MemberEnter instance = context.get(memberEnterKey);
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTodo.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTodo.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTodo.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTodo.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -40,7 +40,8 @@
  *
  *  @author Neal Gafter
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class JavadocTodo extends Todo {
     public static void preRegister(Context context) {
         context.put(todoKey, (Factory<Todo>)JavadocTodo::new);
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTool.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTool.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTool.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/JavadocTool.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2001, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -70,7 +70,8 @@
  *
  *  @author Neal Gafter
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class JavadocTool extends com.sun.tools.javac.main.JavaCompiler {
     DocEnv docenv;
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MemberDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MemberDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MemberDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MemberDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -49,7 +49,8 @@
  * @author Neal Gafter
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public abstract class MemberDocImpl
     extends ProgramElementDocImpl
     implements MemberDoc {
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Messager.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Messager.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Messager.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Messager.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2016, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -53,7 +53,8 @@
  * @see java.text.MessageFormat
  * @author Neal Gafter (rewrite)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class Messager extends Log implements DocErrorReporter {
     public static final SourcePosition NOPOS = null;
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MethodDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MethodDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MethodDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/MethodDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -47,7 +47,8 @@
  * @author Neal Gafter (rewrite)
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class MethodDocImpl
         extends ExecutableMemberDocImpl implements MethodDoc {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ModifierFilter.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ModifierFilter.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ModifierFilter.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ModifierFilter.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2000, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -42,7 +42,8 @@
  *   @author Robert Field
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class ModifierFilter {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PackageDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PackageDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PackageDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PackageDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2015, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -62,7 +62,8 @@
  * @author Scott Seligman (package-info.java)
  */
 
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class PackageDocImpl extends DocImpl implements PackageDoc {
 
     public final PackageSymbol sym;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParamTagImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParamTagImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParamTagImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParamTagImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -41,7 +41,8 @@
  * @author Robert Field
  *
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class ParamTagImpl extends TagImpl implements ParamTag {
 
     private static final Pattern typeParamRE = Pattern.compile("<([^<>]+)>");
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -43,7 +43,8 @@
  * @author Robert Field (rewrite)
  * @author Scott Seligman (generics, annotations)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class ParameterImpl implements Parameter {
 
     private final DocEnv env;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterizedTypeImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterizedTypeImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterizedTypeImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ParameterizedTypeImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -46,7 +46,8 @@
  * @author Scott Seligman
  * @since 1.5
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class ParameterizedTypeImpl
         extends AbstractTypeImpl implements ParameterizedType {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PrimitiveType.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PrimitiveType.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PrimitiveType.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/PrimitiveType.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2001, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -33,7 +33,8 @@
  *  This code and its internal interfaces are subject to change or
  *  deletion without notice.</b>
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class PrimitiveType implements com.sun.javadoc.Type {
 
     private final String name;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ProgramElementDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ProgramElementDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ProgramElementDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ProgramElementDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -55,7 +55,8 @@
  * @author Neal Gafter (rewrite)
  * @author Scott Seligman (generics, enums, annotations)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public abstract class ProgramElementDocImpl
         extends DocImpl implements ProgramElementDoc {
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/RootDocImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/RootDocImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/RootDocImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/RootDocImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2016, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -55,7 +55,8 @@
  * @author Atul M Dambalkar
  * @author Neal Gafter (rewrite)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class RootDocImpl extends DocImpl implements RootDoc {
 
     /**
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SeeTagImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SeeTagImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SeeTagImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SeeTagImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -50,7 +50,8 @@
  * @author Atul M Dambalkar
  *
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class SeeTagImpl extends TagImpl implements SeeTag, LayoutCharacters {
 
     //### TODO: Searching for classes, fields, and methods
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerialFieldTagImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerialFieldTagImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerialFieldTagImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerialFieldTagImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -51,7 +51,8 @@
  *
  * @see java.io.ObjectStreamField
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class SerialFieldTagImpl
     extends TagImpl
     implements SerialFieldTag, Comparable<Object>
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerializedForm.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerializedForm.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerializedForm.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SerializedForm.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 2014, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -66,7 +66,8 @@
  * @author Joe Fialli
  * @author Neal Gafter (rewrite but not too proud)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class SerializedForm {
     ListBuffer<MethodDoc> methods = new ListBuffer<>();
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SourcePositionImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SourcePositionImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SourcePositionImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/SourcePositionImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2015, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2001, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -31,6 +31,7 @@
 import com.sun.javadoc.SourcePosition;
 import com.sun.tools.javac.util.Position;
 
+
 /**
  * A source position: filename, line number, and column number.
  *
@@ -43,7 +44,8 @@
  * @author Neal M Gafter
  * @author Michael Van De Vanter (position representation changed to char offsets)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class SourcePositionImpl implements SourcePosition {
     FileObject filename;
     int position;
@@ -92,7 +94,7 @@
         this.lineMap = lineMap;
     }
 
-    public static SourcePosition make(FileObject file, int pos,
+    public static com.sun.javadoc.SourcePosition make(FileObject file, int pos,
                                       Position.LineMap lineMap) {
         if (file == null) return null;
         return new SourcePositionImpl(file, pos, lineMap);
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Start.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Start.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Start.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/Start.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2016, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -71,7 +71,8 @@
  * @author Robert Field
  * @author Neal Gafter (rewrite)
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class Start extends ToolOption.Helper {
     /** Context for this invocation. */
     private final Context context;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TagImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TagImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TagImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TagImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -48,7 +48,8 @@
  * @see Doc#tags()
  *
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class TagImpl implements Tag {
 
     protected final String text;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ThrowsTagImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ThrowsTagImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ThrowsTagImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ThrowsTagImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -43,7 +43,8 @@
  * @see ExecutableMemberDocImpl#throwsTags()
  *
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 class ThrowsTagImpl extends TagImpl implements ThrowsTag {
 
     private final String exceptionName;
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ToolOption.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ToolOption.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ToolOption.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/ToolOption.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2012, 2016, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2012, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -45,7 +45,8 @@
  *  This code and its internal interfaces are subject to change or
  *  deletion without notice.</b>
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public enum ToolOption {
     // ----- options for underlying compiler -----
 
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeMaker.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeMaker.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeMaker.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeMaker.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -42,7 +42,8 @@
  *  This code and its internal interfaces are subject to change or
  *  deletion without notice.</b>
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class TypeMaker {
 
     public static com.sun.javadoc.Type getType(DocEnv env, Type t) {
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeVariableImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeVariableImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeVariableImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/TypeVariableImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -52,7 +52,8 @@
  * @author Scott Seligman
  * @since 1.5
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class TypeVariableImpl extends AbstractTypeImpl implements TypeVariable {
 
     TypeVariableImpl(DocEnv env, TypeVar type) {
diff --git a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/WildcardTypeImpl.java b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/WildcardTypeImpl.java
--- a/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/WildcardTypeImpl.java
+++ b/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/WildcardTypeImpl.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2003, 2012, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2003, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -44,7 +44,8 @@
  * @author Scott Seligman
  * @since 1.5
  */
-@Deprecated
+@Deprecated(forRemoval=true, since="9")
+@SuppressWarnings("removal")
 public class WildcardTypeImpl extends AbstractTypeImpl implements WildcardType {
 
     WildcardTypeImpl(DocEnv env, Type.WildcardType type) {
diff --git a/src/jdk.javadoc/share/classes/jdk/javadoc/internal/tool/Start.java b/src/jdk.javadoc/share/classes/jdk/javadoc/internal/tool/Start.java
--- a/src/jdk.javadoc/share/classes/jdk/javadoc/internal/tool/Start.java
+++ b/src/jdk.javadoc/share/classes/jdk/javadoc/internal/tool/Start.java
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1997, 2017, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 1997, 2018, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
@@ -359,7 +359,7 @@
         return begin(opts, fileObjects).isOK();
     }
 
-    @SuppressWarnings("deprecation")
+    @SuppressWarnings("removal")
     private Result begin(List<String> options, Iterable<? extends JavaFileObject> fileObjects) {
         fileManager = context.get(JavaFileManager.class);
         if (fileManager == null) {
